package cz.moneta.test.dsl.util.task.auto.smartauto.newcalculation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;
import cz.moneta.test.dsl.auto.smartauto.shared.Subsidy;

import java.util.function.Function;

public class SubsidyTasks {

    private final Harness harness;

    public SubsidyTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> chooseSubsidy(Subsidy subsidy) {
        return start -> start
                .setSubsidyValue(subsidy);
    }
}
